rtc_dcf77.h File Reference

library to get time from a DCF77 module (API) More...

Go to the source code of this file.

## Data Structures

struct | rtc_dcf77_time_t
| decoded DCF77 time received More...

## Functions

void | rtc_dcf77_setup (void)
| setup DCF77 time receiver module
void | rtc_dcf77_on (void)
| switch on DCF77 time receiver module More...
void | rtc_dcf77_off (void)
| switch off DCF77 time receiver module

## Variables

volatile bool | rtc_dcf77_time_flag
| set when time information has been received
struct rtc_dcf77_time_t | rtc_dcf77_time

## Detailed Description

library to get time from a DCF77 module (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2016-2017

Note
  peripherals used: GPIO output to enable DCF module and input to capture DCF signal, timer timer to sample DCF77 signal

Definition in file rtc_dcf77.h.

## Function Documentation

## rtc_dcf77_on()

void rtc_dcf77_on | ( | void |  | ) |

switch on DCF77 time receiver module

Note
  it switches back off after too many invalid decoding attempts

Definition at line 93 of file rtc_dcf77.c.